## IdeService IdeService |

## Functions

#define | IDE_TYPE_SERVICE
const gchar * | ide_service_get_name ()
gboolean | ide_service_get_running ()
void | ide_service_start ()
void | ide_service_stop ()

## Properties

gchar * | name | Read
gboolean | running | Read

## Signals

void | start | Run Last
void | stop | Run Last

## Types and Values

#define | IDE_SERVICE_EXTENSION_POINT
struct | IdeServiceClass
| IdeService

## Object Hierarchy

        GObject
        ╰── IdeObject
            ╰── IdeService

## Description

## Functions

### IDE_TYPE_SERVICE

    #define IDE_TYPE_SERVICE            (ide_service_get_type())

### ide_service_get_name ()

    const gchar *
    ide_service_get_name (IdeService *self);

### ide_service_get_running ()

    gboolean
    ide_service_get_running (IdeService *self);

### ide_service_start ()

    void
    ide_service_start (IdeService *self);

### ide_service_stop ()

    void
    ide_service_stop (IdeService *self);

## Types and Values

### IDE_SERVICE_EXTENSION_POINT

    #define IDE_SERVICE_EXTENSION_POINT "org.gnome.libide.extensions.service"

### struct IdeServiceClass

    struct IdeServiceClass {
      IdeObjectClass parent;

      const gchar *(*get_name) (IdeService *service);
      void         (*start)    (IdeService *service);
      void         (*stop)     (IdeService *service);
    };

### IdeService

    typedef struct _IdeService IdeService;

## Property Details

### The `“name”` property

      “name”                     gchar *

The name of the service.

Flags: Read

Default value: NULL

### The `“running”` property

      “running”                  gboolean

If the service is running.

Flags: Read

Default value: FALSE

## Signal Details

### The `“start”` signal

    void
    user_function (IdeService *ideservice,
                   gpointer    user_data)

Flags: Run Last

### The `“stop”` signal

    void
    user_function (IdeService *ideservice,
                   gpointer    user_data)

Flags: Run Last